#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# I am not sure whether this works or whether it does not work.
# =========================================================================== #
require 'gtk_paradise/require_gtk2'
require 'colours/colours_e_autoinclude.rb'

include Gtk::BaseModule

e
e 'Testing Gtk::Label next.'
e
hbox = gtk_hbox
hbox.increase_font_size

label1 = gtk_bold_label('#1 Testing Ampersand & - nope, does not work modifying it to bold')
hbox.pack_maximal(label1, 80)

label2 = gtk_bold_label('#2 Testing Ampersand &amp; - yup, this one here works fine')
hbox.pack_maximal(label2, 80)

r = Gtk.run
r.width_height(800, 600)
r.padding = 5
r << hbox
r.top_left_then_show
r.enable_simple_exit_then_run
